# UnsafeDataModelSchema

    public final class UnsafeDataModelSchema : DynamicSchema

The `UnsafeDataModelSchema` describes models loaded directly from an existing `NSManagedObjectModel`. It is not advisable to continue using this model as its metadata are not available to CoreStore.

- `init(modelName:model:)`

  Initializes a `UnsafeDataModelSchema` from an `NSManagedObjectModel`.

      CoreStore.defaultStack = DataStack(
          UnsafeDataModelSchema(modelName: "MyAppV1", model: model)
      )

  #### Declaration

  Swift

      public required init(modelName: ModelVersion, model: NSManagedObjectModel)

  #### Parameters

  `modelName` | the model version, typically the file name of an *.xcdatamodeld file (without the file extension)
  `model` | the `NSManagedObjectModel`

### DynamicSchema

- `modelVersion`

  #### Declaration

  Swift

      public let modelVersion: ModelVersion

- `rawModel()`

  #### Declaration

  Swift

      public func rawModel() -> NSManagedObjectModel

### CoreStoreSwiftType

- `bridgeToObjectiveC`

  #### Declaration

  Swift

      public var bridgeToObjectiveC: CSUnsafeDataModelSchema { get }

### CustomDebugStringConvertible

- `debugDescription`

  #### Declaration

  Swift

      public var debugDescription: String { get }